Package com.sun.jna.platform.win32

# Class Cfgmgr32Util.Cfgmgr32Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jna.platform.win32.Cfgmgr32Util.Cfgmgr32Exception

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Cfgmgr32Util

public static class Cfgmgr32Util.Cfgmgr32Exception extends RuntimeException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cfgmgr32Exception(int errorCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Cfgmgr32Exception

    public Cfgmgr32Exception(int errorCode)

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`